Skip to main content
GET
/
api
/
public
/
v1
/
assets
Listar assets disponibles
curl --request GET \
  --url https://api.wallbit.io/api/public/v1/assets \
  --header 'X-API-Key: <api-key>'
{
  "data": [
    {
      "symbol": "AAPL",
      "name": "Apple Inc.",
      "price": 175.5,
      "asset_type": "Stock",
      "exchange": "NASDAQ",
      "sector": "Technology",
      "market_cap_m": "2750000",
      "description": "Apple Inc. designs, manufactures...",
      "logo_url": "https://static.atomicvest.com/AAPL.svg"
    }
  ],
  "pages": 15,
  "current_page": 1,
  "count": 150
}

Authorizations

X-API-Key
string
header
required

API Key authentication. Obtain your API key from the Wallbit dashboard under Settings → API Keys.

Query Parameters

category
enum<string>

Categoría de assets

Available options:
MOST_POPULAR,
ETF,
DIVIDENDS,
TECHNOLOGY,
HEALTH,
CONSUMER_GOODS,
ENERGY_AND_WATER,
FINANCE,
REAL_ESTATE,
TREASURY_BILLS,
VIDEOGAMES,
ARGENTINA_ADR
Example:

"TECHNOLOGY"

Búsqueda por símbolo, nombre o keywords

Maximum string length: 100
Example:

"Apple"

page
integer
default:1

Número de página

Required range: x >= 1
Example:

1

limit
integer
default:10

Assets por página (max: 50)

Required range: 1 <= x <= 50
Example:

20

Response

Assets list retrieved successfully

data
object[]
pages
integer

Total number of pages

current_page
integer

Current page number

count
integer

Total number of assets